## view.xhtml
Class Textarea

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Textarea

    public class Textarea

extends ContainerElement

Constructor Summary
`Textarea(int rows, int cols)` Constructs the element.
`Textarea(int rows, int cols, java.lang.String name)` As above, but...
`Textarea(int rows, int cols, java.lang.String name, java.lang.String text)` As above, but...

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Textarea

    public Textarea(int rows,
                    int cols)

  Constructs the element.

  Parameters:
    `rows` - the number of rows.
    `cols` - the number of columns.

### Textarea

    public Textarea(int rows,
                    int cols,
                    java.lang.String name)

  As above, but...

  Parameters:
    `name` - a value for the 'name' attribute.

### Textarea

    public Textarea(int rows,
                    int cols,
                    java.lang.String name,
                    java.lang.String text)

  As above, but...

  Parameters:
    `text` - a text to add automatically to itself.